## mysql-workbench 6.1.7+dfsg

=== images/admin/CMakeLists.txt ===
set(IMAGE_FILES
        ps_overview.png
        ps_easysetup_logo.png
	admin_add_user.png
	admin_audit_inspector.png
	admin_config_wizard.png
	admin_connections.png
	admin_export.png
	admin_info_running.png
	admin_info_stopped.png
	admin_info_unknown.png
	admin_manage_exported.png
	admin_manage_privs.png
	admin_meb_backup.png
	admin_meb_restore.png
	admin_option_file.png
	admin_restore_data.png
	admin_schema_management.png
	admin_scripts.png
	admin_server_logs.png
	admin_server_status.png
	admin_start_stop.png
	admin_status_vars.png
	admin_system_startup.png
	admin_dashboard.png
	admin_performance_reports.png
	admin_instrumentation_setup.png
	title_dashboard.png
	title_performance_reports.png
	title_instrumentation_setup.png
	mysql-logo-00.png
	mysql-logo-50.png
	mysql-logo-51.png
	mysql-logo-55.png
	mysql-logo-56.png
	mysql-logo-57.png
	mysql-logo-58.png
	mysql-status-off.png
	mysql-status-on.png
	mysql-status-separator.png
	mysql-status-separator-linux.png
	wb-backup-logo.png
	wb-backup-logo-small.png
	wb_perform_config.png
	title_connections.png
	title_export.png
	title_import.png
	title_logs.png
	title_options.png
	title_startup.png
	title_users.png
	title_variables.png
	page_restore.png
	title_backup.png
	title_restore.png
    dashboard_arrow_in_static.png
    dashboard_arrow_out_static.png
    dashboard_header_innodb.png
    dashboard_header_mysql.png
    dashboard_header_network.png
    dashboard_separator.png
	../ui/options-horizontal-separator.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)

=== library/base/CMakeLists.txt ===

add_library(wbbase util_functions.cpp sqlstring.cpp file_functions.cpp file_utilities.cpp threaded_timer.cpp string_utilities.cpp geometry.cpp notifications.cpp ui_form.cpp config_file.cpp drawing.cpp log.cpp threading.cpp profiling.cpp)

target_link_libraries(wbbase ${CAIRO_LIBRARIES} ${GLIB_LIBRARIES} ${GTHREAD_LIBRARIES} ${PCRE_LIBRARIES} ${PYTHON_LIBRARIES})

install(TARGETS wbbase DESTINATION ${WB_INSTALL_LIB_DIR})

=== modules/db.mysql.sqlide/CMakeLists.txt ===
set(MODULE_DATA_FILES
    res/com.mysql.rdbms.mysql.sql.editor.xml
)
install(FILES ${MODULE_DATA_FILES} DESTINATION ${WB_PYTHON_MODULES_DATA_DIR})

include_directories(.
    ${GTK2_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${MYSQL_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/grt/src/diff 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/library/forms
    ${PROJECT_SOURCE_DIR}/library/sql-parser/include
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/linux
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/modules/interfaces
    ${PROJECT_SOURCE_DIR}/backend/grtdb
    ${PROJECT_SOURCE_DIR}/ext/scintilla/include
    ${PROJECT_SOURCE_DIR}/images/ui
)

add_library(db.mysql.sqlide.grt
    src/mysql_sql_editor_be.cpp
    src/db.mysql.sqlide.cpp
)

set_target_properties(db.mysql.sqlide.grt PROPERTIES
#	LINK_FLAGS "-module"
	PREFIX ""
)

target_link_libraries(db.mysql.sqlide.grt ${GRT_LIBRARIES} ${GTK2_LIBRARIES} ${SIGC++_LIBRARIES} ${MYSQL_LIBRARIES})

install(TARGETS db.mysql.sqlide.grt DESTINATION ${WB_PYTHON_MODULES_DIR})

=== modules/db.mysql.sqlparser/CMakeLists.txt ===
include_directories(.
    ./src
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/grt/src/diff 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/library/forms
    ${PROJECT_SOURCE_DIR}/library/sql-parser/include
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/linux
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/modules/interfaces
    ${PROJECT_SOURCE_DIR}/ext/antlr-runtime
    ${PROJECT_SOURCE_DIR}/ext/antlr-runtime/include
    ${PROJECT_SOURCE_DIR}/library/mysql-parser   
    ${VSQLITE_INCLUDE_DIRS}
    ${GTK2_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${PCRE_INCLUDE_DIR}
    ${PROJECT_SOURCE_DIR}
    ${MYSQL_INCLUDE_DIRS}
)

if (MYSQL_DEFINITIONS)
	add_definitions(${MYSQL_DEFINITIONS})
endif()

add_library(db.mysql.sqlparser.grt
    src/db.mysql.sqlparser.cpp
    src/mysql_invalid_sql_parser.cpp
    src/mysql_sql_facade.cpp
    src/mysql_sql_parser_base.cpp
    src/mysql_sql_specifics.cpp
    src/mysql_sql_normalizer.cpp
    src/mysql_sql_parser.cpp
    src/mysql_sql_parser_fe.cpp
    src/mysql_sql_parser_utils.cpp
    src/mysql_sql_schema_rename.cpp
    src/mysql_sql_script_splitter.cpp
    src/mysql_sql_inserts_loader.cpp
    src/mysql_sql_syntax_check.cpp
    src/mysql_sql_semantic_check.cpp
    src/mysql_sql_statement_decomposer.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/charset-def.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/charset.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-big5.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-bin.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-cp932.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-czech.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-eucjpms.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-euc_kr.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-extra.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-gb2312.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-gbk.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-latin1.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-mb.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-simple.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-sjis.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-tis620.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-uca.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-ucs2.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-ujis.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-utf8.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype-win1250ch.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/ctype.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/int2str.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/myx_lex_helpers.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/myx_sql_tree_item.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/myx_statement_parser.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/myx_unicode_scanner.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/sql_parser_symbols.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/my_messnc.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/my_static.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/my_strtoll10.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/my_vsnprintf.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/strmake.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/strnmov.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/strtod.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/strxmov.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/str_alloc.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/linux/myx_sql_parser.cpp
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/xml.cpp
)

set_target_properties(db.mysql.sqlparser.grt PROPERTIES
#	LINK_FLAGS "-module"
	PREFIX ""
)

target_link_libraries(db.mysql.sqlparser.grt ${GRT_LIBRARIES} ${GTK2_LIBRARIES} ${SIGC++_LIBRARIES} ${PCRE_LIBRARIES})

install(TARGETS db.mysql.sqlparser.grt DESTINATION ${WB_PYTHON_MODULES_DIR})

=== modules/db.sql92/CMakeLists.txt ===
set(PY_FILES
    db_sql92_re_grt.py
    db_sql92_migration_grt.py
)

set(MODULE_DATA_FILES
    res/sql92_rdbms_info.xml
)

install(FILES ${PY_FILES} DESTINATION ${WB_PYTHON_MODULES_DIR})
install(FILES ${MODULE_DATA_FILES} DESTINATION ${WB_PYTHON_MODULES_DATA_DIR})

=== modules/wb.mysql.import/CMakeLists.txt ===
include_directories(.
    ${GTK2_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${MYSQL_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}
    ${VSQLITE_INCLUDE_DIRS}
    ${TINYXML_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/modules/interfaces
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/ext
    ${PROJECT_SOURCE_DIR}/library/grt/src/diff
    ${PROJECT_SOURCE_DIR}/library/sql-parser/include
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/linux
)

add_library(wb.mysql.import.grt
    src/wb_mysql_import.cpp
    src/wb_mysql_import_dbd4.cpp
)

set_target_properties(wb.mysql.import.grt PROPERTIES
#	LINK_FLAGS "-module"
	PREFIX ""
)

target_link_libraries(wb.mysql.import.grt wbscintilla ${GRT_LIBRARIES} ${GTK2_LIBRARIES} ${SIGC++_LIBRARIES} ${TINYXML_LIBRARIES} ${MYSQL_LIBRARIES})

install(TARGETS wb.mysql.import.grt DESTINATION ${WB_PYTHON_MODULES_DIR})

=== res/grt/CMakeLists.txt ===
set(DATA_FILES 
    structs.app.xml
    structs.db.mgmt.xml
    structs.db.migration.xml
    structs.db.mssql.xml
    structs.db.mysql.xml
    structs.db.oracle.xml
    structs.db.query.xml
    structs.db.sybase.xml
    structs.db.xml
    structs.eer.xml
    structs.model.xml
    structs.meta.xml
    structs.workbench.logical.xml
    structs.workbench.model.reporting.xml
    structs.workbench.model.xml
    structs.workbench.physical.xml
    structs.workbench.xml
    structs.xml
    structs.ui.xml
)

install(FILES ${DATA_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/grt)

=== plugins/wb.printing/linux/CMakeLists.txt ===
include_directories(.
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/backend
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/modules/interfaces
    ${PROJECT_SOURCE_DIR}/plugins
    ${PROJECT_SOURCE_DIR}/ext
    ${PROJECT_SOURCE_DIR}/library/canvas/src
    ${PROJECT_SOURCE_DIR}/plugins/wb.printing/backend
    ${PROJECT_SOURCE_DIR}/frontend/linux
    ${PROJECT_SOURCE_DIR}/frontend/linux/linux_utilities
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}
    ${GTK2_INCLUDE_DIRS}
    ${CAIRO_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
)

add_library(wb.printing.wbp MODULE
    ../backend/wb_module_printing.cpp
    ../backend/wb_printing.cpp
    wb_printing_linux.cpp
)

set_target_properties(wb.printing.wbp PROPERTIES
#	LINK_FLAGS "-module"
	PREFIX ""
)

target_link_libraries(wb.printing.wbp linux_utilities)

install(TARGETS wb.printing.wbp DESTINATION ${WB_PACKAGE_PLUGINS_DIR})

=== debian/changelog ===
mysql-workbench (6.1.7+dfsg-1ubuntu1) utopic; urgency=high

  * New "libglib2.42.patch" with adaptations for compatibility with
    libglib_2.42 (LP: #1376154).
    Thanks, Marcin Szalowicz.

 -- Michael Petch <mpetch@capp-sysware.com>  Sun, 16 Nov 2014 20:55:43 -0700

mysql-workbench (6.1.7+dfsg-1) unstable; urgency=low

  * New upstream release [June 2014].
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 03 Jul 2014 23:41:54 +1000

mysql-workbench (6.1.6+dfsg-1) unstable; urgency=low

  * New upstream release [May 2014].
  * Dropped "prtcl.patch".
  * "debian/clean": better clean-up.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 31 May 2014 12:03:58 +1000

mysql-workbench (6.1.4+dfsg-2) unstable; urgency=low

  * New patch to fix FTBFS on non-Linux architectures.
  * Depend on "virtual-mysql-client" (Closes: #743441).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Apr 2014 13:54:32 +1000

mysql-workbench (6.1.4+dfsg-1) unstable; urgency=low

  * New upstream release [March 2014].
    + fixed crash on add table to empty EER diagram (Closes: #726501).
  * Patces dropped (applied-upstream):
    - doclib.patch
    - 732316-fix-ftbfs.patch
  * Refreshed "pythonlibs.patch".
  * Added patch to set relative RPATH to `wbcopytables` (Closes: #739515).
  * Depends: "mariadb-client" added as alternative to "mysql-client".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 02 Apr 2014 17:04:09 +1100

=== debian/mysql-workbench-help/debian/changelog ===
mysql-workbench-help (6.1.7+repack-1) unstable; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 03 Jul 2014 23:40:17 +1000

mysql-workbench-help (6.1.6+repack-1) unstable; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 31 May 2014 11:46:36 +1000

mysql-workbench-help (6.1.4+repack-1) unstable; urgency=low

  * New upstream release.
  * Standards to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 02 Apr 2014 21:02:13 +1100

=== debian/control ===
Source: mysql-workbench
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Mateusz Kijowski <mateusz.kijowski@gmail.com>
Build-Depends: debhelper (>= 9), cmake, perl, imagemagick
 ,autoconf ,automake ,libtool
 ,bison ,flex ,swig
 ,doxygen
 ,gettext
# ,libantlr3c-dev
 ,libboost-dev
 ,libcairo2-dev
 ,libctemplate-dev
 ,libfreetype6-dev
 ,libgl1-mesa-dev
 ,libglib2.0-dev
 ,libgnome-keyring-dev
 ,libgtkmm-2.4-dev
 ,liblua5.1-0-dev
 ,libmysqlcppconn-dev (>= 1.1.1)
 ,libpng-dev
 ,libmysqlclient-dev
 ,libpcre3-dev
 ,libpixman-1-dev
 ,libsqlite3-dev
 ,libtinyxml-dev (>= 2.6.2)
 ,libvsqlitepp-dev
 ,libxml2-dev
 ,libzip-dev
 ,python-dev
 ,unixodbc-dev
 ,uuid-dev
 ,xdg-utils
Standards-Version: 3.9.5
Homepage: http://dev.mysql.com/workbench/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mysql-workbench.git
Vcs-Git: git://anonscm.debian.org/collab-maint/mysql-workbench.git

Package: mysql-workbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 ,mysql-workbench-data (= ${source:Version})
 ,virtual-mysql-client
 ,python-mysql.connector
 ,python-paramiko
 ,python-pexpect
 ,python-pyodbc (>= 2.1.8)
 ,python-pysqlite2
Recommends: ttf-bitstream-vera, mysql-utilities
Suggests: gnome-keyring
Description: MySQL Workbench - a visual database modeling, administration and queuing tool
 MySQL Workbench is a modeling tool that allow to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.

Package: mysql-workbench-data
Architecture: all
Depends: ${misc:Depends}
Description: MySQL Workbench -- architecture independent data
 MySQL Workbench is a modeling tool that allow to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.
 .
 This package provides architecture independent files

#Package: mysql-workbench-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Depends: mysql-workbench (= ${binary:Version}), ${misc:Depends}
#Description: MySQL Workbench -- debugging symbols
# MySQL Workbench is a modeling tool that allow to design
# and generate MySQL databases graphically. It also has administration
# and query development modules where you can manage MySQL server instances
# and execute SQL queries.
# .
# This package provides debugging symbols

#Package: mysql-workbench-docs
#Architecture: all
#Depends: ${misc:Depends}, libjs-jquery
#Recommends: yelp
#Suggests: www-browser
#Section: doc
#Description: MySQL Workbench -- Documentation for developers
# MySQL Workbench is a modeling tool that allow to design
# and generate MySQL databases graphically. It also has administration
# and query development modules where you can manage MySQL server instances
# and execute SQL queries.
# .
# This package provides documentation for developers

=== debian/mysql-workbench-help/debian/control ===
Source: mysql-workbench-help
Section: non-free/database
Priority: extra
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), sqlite3
Standards-Version: 3.9.5
Homepage: http://dev.mysql.com/workbench/

Package: mysql-workbench-help
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, mysql-workbench (>= ${uver})
Enhances: mysql-workbench
Suggests: vrms
Description: MySQL Workbench - help files
 MySQL Workbench is a modeling tool that allow to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.
 .
 This package provides architecture independent help files

=== debian/mysql-workbench-help/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +repack
VER  ?= $(subst $(DTYPE),,$(UVER))

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e \
	;for F in $$(find plugins -type f -name '*.sqlite'); do \
	    echo "checking $$F" ;\
	    R="$$(sqlite3 $$F 'pragma integrity_check;')" ;\
	    if [ "$$R" != "ok" ]; then \
	        echo -e "E: $$R\n" && false; \
	    fi \
	;done
endif

override_dh_gencontrol:
	dh_gencontrol -- -Vuver=$(VER)

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	wget --tries=3 --timeout=40 --read-timeout=40 --continue -O $(PKG)_$(VER).orig.tar.gz \
          http://www.mirrorservice.org/sites/ftp.mysql.com/Downloads/MySQLGUITools/mysql-workbench-community-$(VER)-src.tar.gz
	#uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
        || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
        && find . -type f -printf "\"%p\"\n" | grep -v -E '\./plugins/wb.doclib|\./ChangeLog|\./COPYING' | xargs $(RM) \
        && find . -type d -empty -delete \
	#$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
        | XZ_OPT="-7v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
        && $(RM) -r "$(PKG)-$(VER)"

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))

# parallel build by default on linux
ifeq ($(DEB_HOST_ARCH_OS),linux)
    ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
        export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
    endif
endif
$(info Info: DEB_BUILD_OPTIONS:$(origin DEB_BUILD_OPTIONS)=$(DEB_BUILD_OPTIONS))

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

%:
	dh $@ --parallel --max-parallel=4 --with python2

override_dh_clean:
	$(RM) -r CMakeFiles antlr-wb-prefix/tmp ext/antlr-runtime/.libs
	dh_clean debian/mysql-workbench-help.tar.xz

override_dh_auto_configure:
	dh_auto_configure -- \
            -DUSE_UNIXODBC=ON \
            -DCMAKE_INSTALL_PREFIX=/usr \
            -DREAL_EXECUTABLE_DIR=/usr/lib/$(PKG)

override_dh_auto_build:
	# rebuild files generated by flex/bison
	cd library/sql-parser/yy_gen-tool/yy_gen-tool/ \
        && bison -dl parser.yy \
        && flex -B -oparser.lex.cc parser.lex
	# generate icon
	convert images/icons/MySQLWorkbench-32.png debian/mysql-workbench.xpm
	# generate documentation for mysql-workbench-docs package
	#cd doc && ./DoxygenRun.sh
	# build all the rest
	dh_auto_build --max-parallel=4

debian/mysql-workbench-help.tar.xz:
	tar -C debian -caf $@ mysql-workbench-help --owner=root --group=root --mode=a+rX

override_dh_auto_install: debian/mysql-workbench-help.tar.xz
	dh_auto_install --max-parallel=4 --destdir=$(CURDIR)/debian/tmp
	# .desktop to unix line endings
	sed -i 's/\r//g' debian/tmp/usr/share/applications/*.desktop
	# remove *.la files
	find . -name '*.la' -delete -printf 'removing %p\n'
	# install link to launcher to /usr/bin/
	dh_link -p$(PKG) \
            usr/lib/$(PKG)/mysql-workbench usr/bin/mysql-workbench

override_dh_compress:
	dh_compress --exclude=.mwb

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

# help `dh_shlibdeps` to find local libraries: 'dpkg-shlibdeps: error: couldn't find library'
override_dh_shlibdeps:
	LD_LIBRARY_PATH="debian/$(PKG)/usr/lib/$(PKG):$(LD_LIBRARY_PATH)" dh_shlibdeps

# -dbg package will be over 150 MiB
override_dh_strip:
	[ -d "$(CURDIR)/debian/$(PKG)-dbg" ] \
        && dh_strip --dbg-package=$(PKG)-dbg \
        || dh_strip

override_dh_builddeb:
	dh_builddeb -- -Zxz

## semi-automated manpage generation (to invoke manually)
MAN_NAME=mysql-workbench \\- MySQL Database Design, Administration and Development Tool
mysql-workbench.1:
	help2man --no-info --manual="mysql-workbench" --name="$(MAN_NAME)" mysql-workbench > $@
	perl \
            -E 's{^.*?\s+\\-\s+mysql-workbench.*}{$(MAN_NAME)}; # correcting NAME section'     \
            -E 's{^\.SH DESCRIPTION}{.SH SYNOPSIS};             # correcting SYNOPSIS section' \
            -E 's{^mysql\\-workbench\K\\-bin}{};                # correcting executable name'  \
            -E 's{^Options:}{.SH OPTIONS};                      # create OPTIONS section'      \
            -pi $@

## http://wiki.debian.org/onlyjob/get-orig-source
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg
VER  ?= $(subst $(DTYPE),,$(UVER))
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
        || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	find $(PKG)-$(VER) -type f -name '*.cmd' -delete -printf 'removed %p\n'
	find $(PKG)-$(VER) -type f -name '*.vc*' -delete -printf 'removed %p\n'
	find $(PKG)-$(VER) -depth -type d -name 'macosx' -exec $(RM) -r {} \; -printf 'removed %p\n'
	find $(PKG)-$(VER) -depth -type d -name 'windows' -exec $(RM) -r {} \; -printf 'removed %p\n'
	cd $(PKG)-$(VER) \
        && $(RM) -r -v \
             build/msi \
             build/res \
             build/zip \
             ext/Aga.Controls \
        0000-ext/antlr-runtime \
             ext/scintilla/.hgtags \
             ext/scintilla/cocoa \
             ext/scintilla/win32 \
             ext/HTMLRenderer \
             frontend/mac \
             library/base.windows \
             library/forms/cocoa \
             library/sql-parser/yy_purify-tool/dist/*.jar \
             MySQLWorkbench.xcodeproj \
             plugins/wb.doclib/res/DocLibrary/* \
             res/fonts \
	#$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
        | XZ_OPT="-7v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
        && $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
# uscan(1) configuration file.
# Use 'debian/rules get-orig-source' command to generate DFSG-repackaged archive.

version=3

opts=dversionmangle=s/\+dfsg\d*// \
http://www.mirrorservice.org/sites/ftp.mysql.com/Downloads/MySQLGUITools\
/mysql-workbench-community-([\d\.]+)-nodocs-src\.tar\.(?:gz|bz2|xz)
